[21.10 FEAT] zKVM: Spinlock Yield Forwarding

Bug #1905021 reported by bugproxy
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
linux (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

In a spinlock situation DIAG 9C is used by Linux to yield a CPU if it detects that the CPU is not running via SIGP Sense Running. In KVM it can happen that the VCPU is running but its backing thread is scheduled on a host CPU that is not running itself. In this case the host should issue a DIAG 9C for this CPU.

Value: Better overall performance due to reduced lock contention.

Feature will be provided via kernel >= 5.11

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-187896 severity-high targetmilestone-inin2104
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
importance: Undecided → High
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Changed in linux (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → nobody
Changed in ubuntu-z-systems:
status: New → Incomplete
Frank Heimes (fheimes)
Changed in linux (Ubuntu):
status: New → Incomplete
summary: - [21.04 FEAT] zKVM: Spinlock Yield Forwarding
+ [21.10 FEAT] zKVM: Spinlock Yield Forwarding
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-02-23 03:49 EDT-------
Feature will not make it into 21.04, Moved to 21.10

tags: added: targetmilestone-inin2110
removed: targetmilestone-inin2104
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-08-12 07:50 EDT-------
@Canonical (Frank): Fix is available as part of kernel 5.13.
Here's the commit ID:

87e28a15 KVM: s390: diag9c (directed yield) forwarding

Revision history for this message
Frank Heimes (fheimes) wrote :

Thx Boris for sharing the commit.
Its already in as
87e28a15c42c KVM: s390: diag9c (directed yield) forwarding
and 5.13 is currently in -proposed, hence I update the the ticket to Fix Committed.

Changed in linux (Ubuntu):
status: Expired → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Frank Heimes (fheimes)
information type: Private → Public
Revision history for this message
Frank Heimes (fheimes) wrote :

Meanwhile Kernel 5.13 landed in impish-release:
linux-generic | 5.13.0.14.25 | impish
hence closing this ticket with Fix Released.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-10-25 05:54 EDT-------
Fix landed in impish (U21.10), hence closing the bug.
IBM BZ status change to:->CLOSED

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers